Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 7264)
+++ trunk/MagicSoft/Mars/Changelog	(revision 7265)
@@ -18,4 +18,38 @@
 
                                                  -*-*- END OF LINE -*-*-
+
+ 2005/08/05 Daniela Dorner
+
+   * datacenter/macros/setupdb.C:
+     - exchanged in the table RunProcessStatus the column fFillDotRaw 
+       by the column fDataCheckDone
+
+   * steps.rc:
+     - adapted to the needs of the new step fDataCheckDone in the table
+       RunProcessStatus
+
+   * datacenter/scripts/dodatacheck:
+     - added (script to do datacheck including filldotraw.C, sinope, 
+       fillsinope.C, resetcolumn.C)
+
+   * datacenter/macros/filldotraw.C:
+     - adapted to the needs the new script dodatacheck
+
+   * datacenter/macros/fillsinope.C:
+     - adapted paths to the needs the new script dodatacheck
+     - removed test stuff
+
+   * datacenter/macros/getdolist.C:
+     - added if clause to reduce the number of runs for datacheck
+       (arrays in shell scripts are limited)
+     - added logging output
+
+   * datacenter/scripts/buildsequenceentries, fillcallisto, 
+     checkfilesforsequenceavail, checkstardone, correcttime, 
+     filesondisk, fillstar, insertdatasets, runganymed, runstar, 
+     doexclusions, writesequencefiles, runcallisto:
+     - fixed typo and logging
+
+
 
  2005/08/05 Thomas Bretz
Index: trunk/MagicSoft/Mars/datacenter/macros/filldotraw.C
===================================================================
--- trunk/MagicSoft/Mars/datacenter/macros/filldotraw.C	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/macros/filldotraw.C	(revision 7265)
@@ -133,5 +133,5 @@
 }
 
-Int_t Process(MSQLServer &serv, TString fname, Bool_t dummy)
+int Process(MSQLServer &serv, TString fname, Bool_t dummy)
 {
     MRawRunHeader h;
@@ -165,5 +165,5 @@
 }
 
-Int_t filldotraw(TString fname, Bool_t dummy=kTRUE)
+int filldotraw(TString fname, Bool_t dummy=kTRUE)
 {
     TEnv env("sql.rc");
@@ -186,5 +186,5 @@
 }
 
-Int_t filldotraw(Int_t runno, Bool_t dummy=kTRUE)
+int filldotraw(Int_t runno, Bool_t dummy=kTRUE)
 {
     TEnv env("sql.rc");
Index: trunk/MagicSoft/Mars/datacenter/macros/fillsinope.C
===================================================================
--- trunk/MagicSoft/Mars/datacenter/macros/fillsinope.C	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/macros/fillsinope.C	(revision 7265)
@@ -94,5 +94,6 @@
     for (Int_t i=0 ; i<9 ; i++)
     {
-        cout << "value: " << values[i] << endl;
+//        cout << "value: " << values[i] << endl;
+//        cout << "str: " << str << endl;
         str = env.GetValue(values[i], "");
         if (str.IsNull())
@@ -174,5 +175,5 @@
     }
 
-    TString fname(Form("%s/sinope/%s/sinope%08d.txt",
+    TString fname(Form("%s/sinope/%s/sinope-dat%08d.txt",
                        datapath.Data(), date.Data(), runno));
     cout << "file: " << fname << endl;
@@ -180,7 +181,4 @@
                         datapath.Data(), date.Data(), runno));
     cout << "file-cal: " << fnamecal << endl;
-
-    fname="/home/bla/Mars.cvs/bla.txt";
-    fnamecal="/home/bla/Mars.cvs/blacal.txt";
 
     Int_t rc=0;
@@ -190,6 +188,4 @@
 
     rc=Process(serv, fnamecal, runno, kTRUE, dummy);
-
     return rc;
-
 }
Index: trunk/MagicSoft/Mars/datacenter/macros/getdolist.C
===================================================================
--- trunk/MagicSoft/Mars/datacenter/macros/getdolist.C	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/macros/getdolist.C	(revision 7265)
@@ -112,9 +112,15 @@
     query+=Form(" ORDER BY %s.%s DESC ", table.Data(), rc.GetValue(table+".Primary", ""));
 
+    if (table="RunProcessStatus")
+        query+="LIMIT 0, 500";
+
     cout << "query: " << query << endl;
 
     TSQLResult *res = serv.Query(query);
     if (!res)
+    {
+        cout << "ERROR - Query failed: " << query << endl;
         return 0;
+    }
 
 
Index: trunk/MagicSoft/Mars/datacenter/macros/setupdb.C
===================================================================
--- trunk/MagicSoft/Mars/datacenter/macros/setupdb.C	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/macros/setupdb.C	(revision 7265)
@@ -595,5 +595,5 @@
          "  fCaCoFileFound         INT       UNSIGNED   NULL,"
          "  fRawFileAvail          DATETIME             NULL,"
-         "  fFillDotRaw            DATETIME             NULL,"
+         "  fDataCheckDone         DATETIME             NULL,"
          "  fTimingCorrection      DATETIME             NULL,"
          "  fMerpp                 DATETIME             NULL,"
Index: trunk/MagicSoft/Mars/datacenter/scripts/buildsequenceentries
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/buildsequenceentries	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/buildsequenceentries	(revision 7265)
@@ -57,5 +57,5 @@
     0)   echo "checklock0=$checklock0 -> continue " >> $scriptlog 2>&1;;
     1)   echo "checklock0=$checklock0 -> file exists " >> $scriptlog 2>&1
-         echo "-> getting list for callisto is running -> exit" >> $scriptlog 2>&1
+         echo "-> getting list for buildsequenceentries is running -> exit" >> $scriptlog 2>&1
          date  >> $scriptlog 2>&1
          exit;;
@@ -68,5 +68,5 @@
 
 case $check0 in 
-   1)   echo "check0=$check0 -> everthing ok -> do step" >> $scriptlog 2>&1;;
+   1)   echo "check0=$check0 -> everything ok -> do step" >> $scriptlog 2>&1;;
    *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
 esac
@@ -95,5 +95,5 @@
 
    case $check1 in
-      1)   echo "check1=$check1 -> everthing ok -> setting status..." >> $scriptlog 2>&1
+      1)   echo "check1=$check1 -> everything ok -> setting status..." >> $scriptlog 2>&1
            setstatuslogpath=$logpath/setstatus/buildsequenceentries/$year2
            makedir $setstatuslogpath >> $scriptlog 2>&1
@@ -101,5 +101,5 @@
            check2=`root -q -b $macrospath/setstatus.C+\("\"$date\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\)  | tee $setstatuslogpath/setstatus-buildsequenceentries-$date.log | grep int | sed -e 's/(int)//'`
            case $check2 in
-   	      1)   echo "check2=$check2 -> everthing ok, status has been set" >> $scriptlog 2>&1;;
+   	      1)   echo "check2=$check2 -> everything ok, status has been set" >> $scriptlog 2>&1;;
    	      *)   echo "check2=$check2 -> ERROR -> step could not be set" >> $scriptlog 2>&1;;
            esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/checkfilesforsequenceavail
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/checkfilesforsequenceavail	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/checkfilesforsequenceavail	(revision 7265)
@@ -61,5 +61,5 @@
 
 case $check0 in 
-   1)   echo "check0=$check0 -> everthing ok -> do step" >> $scriptlog 2>&1 ;;
+   1)   echo "check0=$check0 -> everything ok -> do step" >> $scriptlog 2>&1 ;;
    *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1 ;;
 esac
@@ -89,5 +89,5 @@
 
    case $check1 in
-      1)   echo "check1=$check1 -> everthing ok -> setting status..." >> $scriptlog 2>&1 
+      1)   echo "check1=$check1 -> everything ok -> setting status..." >> $scriptlog 2>&1 
            setstatuslogpath=$logpath/setstatus/checkfileavail/$no
            makedir $setstatuslogpath  >> $scriptlog 2>&1 
@@ -95,5 +95,5 @@
            check2=`root -q -b $macrospath/setstatus.C+\("\"$sequence\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\)  | tee $setstatuslogpath/setstatus-checkfileavail-$sequence.log | grep int | sed -e 's/(int)//'`
     	   case $check2 in
-   	      1)   echo "check2=$check2 -> everthing ok, status has been set" >> $scriptlog 2>&1 ;;
+   	      1)   echo "check2=$check2 -> everything ok, status has been set" >> $scriptlog 2>&1 ;;
    	      *)   echo "check2=$check2 -> ERROR -> step could not be set" >> $scriptlog 2>&1 ;;
            esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/checkstardone
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/checkstardone	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/checkstardone	(revision 7265)
@@ -62,5 +62,5 @@
 
 case $check0 in 
-   1)   echo "check0=$check0 -> everthing ok -> do step" >> $scriptlog 2>&1 ;;
+   1)   echo "check0=$check0 -> everything ok -> do step" >> $scriptlog 2>&1 ;;
    *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1 ;;
 esac
@@ -104,5 +104,5 @@
 
       case $check1 in
-         1)   echo "check1=$check1 -> everthing ok -> continue with next sequence..." >> $scriptlog 2>&1 ;;
+         1)   echo "check1=$check1 -> everything ok -> continue with next sequence..." >> $scriptlog 2>&1 ;;
          *)   echo "check1=$check1 -> ERROR " >> $scriptlog 2>&1 
               echo "starfiles not available for sequence -> continue" >> $scriptlog 2>&1 
@@ -117,5 +117,5 @@
    check2=`root -q -b $macrospath/setstatus.C+\("\"$dataset\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\)  | tee $setstatuslogpath/setstatus-checkstardone-$dataset.log | grep int | sed -e 's/(int)//'`
    case $check2 in
-      1)   echo "check2=$check2 -> everthing ok, status has been set" >> $scriptlog 2>&1 ;;
+      1)   echo "check2=$check2 -> everything ok, status has been set" >> $scriptlog 2>&1 ;;
       *)   echo "check2=$check2 -> ERROR -> step could not be set" >> $scriptlog 2>&1 ;;
    esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/correcttime
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/correcttime	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/correcttime	(revision 7265)
@@ -52,5 +52,5 @@
 
 case $check0 in 
-   1)   echo "check0=$check0 -> everthing ok -> run correct_raw_time";;
+   1)   echo "check0=$check0 -> everything ok -> run correct_raw_time";;
    *)   echo "check0=$check0 -> ERROR -> step has to be repeated";;
 esac
@@ -88,5 +88,5 @@
 
   case $check1 in
-     1)   echo "check1=$check1 -> everthing ok -> setting status..."
+     1)   echo "check1=$check1 -> everything ok -> setting status..."
           no=`printf %08d $run | cut -c 1-5`
           setstatuspath=$logpath/setstatus/correct_raw_time/$no
@@ -97,5 +97,5 @@
           case $check2 in
   	     0)   echo "check2=0 -> ERROR -> step could not be set";;
-  	     1)   echo "check2=1 -> everthing ok, status has been set";;
+  	     1)   echo "check2=1 -> everything ok, status has been set";;
           esac
   	;;
Index: trunk/MagicSoft/Mars/datacenter/scripts/dodatacheck
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/dodatacheck	(revision 7265)
+++ trunk/MagicSoft/Mars/datacenter/scripts/dodatacheck	(revision 7265)
@@ -0,0 +1,194 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  08/2004 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2004
+#
+#
+# ========================================================================
+#
+#
+
+user=`whoami`
+source /home/$user/Mars/datacenter/scripts/sourcefile
+
+set -C
+
+cd $mars
+
+table=RunProcessStatus
+column=fDataCheckDone
+date=NULL
+datetime=`date +%F-%H-%M-%S`
+year=`date +%Y`
+
+todofile=$listpath/ToDo-$table-$column.txt
+getstatuslogpath=$logpath/getstatus/dodatacheck/$year
+getstatuslog=$getstatuslogpath/getstatus-dodatacheck-$datetime.log
+
+scriptlogpath=$logpath/run/dodatacheck/`date +%Y/%m`
+makedir $scriptlogpath
+
+scriptlog=$scriptlogpath/dodatacheck-$datetime.log
+
+date >> $scriptlog 2>&1
+
+makedir $getstatuslogpath >> $scriptlog 2>&1
+
+lockfile=$lockpath/lock-dodatacheck.txt
+date > $lockfile >> $scriptlog 2>&1 
+checklock0=$?
+case $checklock0 in 
+    0)   echo "checklock0=$checklock0 -> continue " >> $scriptlog 2>&1;;
+    1)   echo "checklock0=$checklock0 -> file exists " >> $scriptlog 2>&1
+         echo "-> for datacheck is running -> exit" >> $scriptlog 2>&1
+         date  >> $scriptlog 2>&1
+         exit;;
+    *)   echo "checklock0=$checklock0 -> something went completely wrong" >> $scriptlog 2>&1;;
+esac
+
+
+echo "getting list..." >> $scriptlog 2>&1
+check0=`root -q -b $macrospath/getdolist.C+\("\"$table\""\,"\"$column\""\,"\"$date\""\,"\"$listpath\""\) | tee $getstatuslog | grep int | sed -e 's/(int)//'`
+
+case $check0 in 
+   1)   echo "check0=$check0 -> everything ok -> do step" >> $scriptlog 2>&1
+        ;;
+   *)   echo "check0=$check0 -> ERROR -> no todofile -> exit " >> $scriptlog 2>&1
+        rm -v $lockfile >> $scriptlog 2>&1
+        date  >> $scriptlog 2>&1
+        exit
+        ;;
+esac
+
+runs=(`cat $todofile`)
+
+if [ "$runs" = "" ]
+then 
+   echo "nothing to do -> exit"  >> $scriptlog 2>&1
+   rm -v $todofile >> $scriptlog 2>&1
+   rm -v $lockfile >> $scriptlog 2>&1
+   date  >> $scriptlog 2>&1
+   exit
+fi
+
+echo "runs: "${runs[@]} >> $scriptlog 2>&1
+
+for run in ${runs[@]}
+do 
+   date
+   echo "do datacheck for run "$run >> $scriptlog 2>&1
+   no=`printf %08d $run | cut -c 0-2`
+   no2=`printf %08d $run`
+   rawfile=`find /magic/data/rawfiles/ -name *${run}*.raw`
+   echo "rawfile: "$rawfile >> $scriptlog 2>&1
+   date=`find /magic/data/rawfiles/ -name *$run*.raw | cut -c 22-31`
+   echo "date: "$date >> $scriptlog 2>&1
+   date2=`echo $date | sed -e 's/\//-/g'`
+   echo "date2: "$date2 >> $scriptlog 2>&1
+
+   filldotrawpath=$logpath/filldotraw/$date
+   makedir $filldotrawpath >> $scriptlog 2>&1
+   filldotrawlogfile=$filldotrawpath/filldotraw-$no2.log
+
+   echo "doing filldotraw..." >> $scriptlog 2>&1
+   check1=`root -q -b $macrospath/filldotraw.C+\($run\,kFALSE\) | tee $filldotrawlogfile | grep int | sed -e 's/.*(int)//'`
+
+   case $check1 in 
+       1)   echo "check1=$check1 -> everything ok -> go on with datacheck..." >> $scriptlog 2>&1
+            ;;
+       *)   echo "check1=$check1 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1
+            continue;;
+   esac
+   
+   sinopepath=$datapath/sinope/$date
+   makedir $sinopepath >> $scriptlog 2>&1
+   
+   sins=( "-dat"  "-cal")
+   echo ${sins[@]} >> $scriptlog 2>&1
+   for sin in ${sins[@]}
+   do 
+      sinopefile=sinope$sin$no2
+      echo $sinopefile >> $scriptlog 2>&1
+      
+      echo "running sinope $sin..." >> $scriptlog 2>&1
+      ./sinope -b -q -v4 -f $sin --outf=$sinopefile --log=$sinopefile.log --html=$sinopefile.html --out=$sinopepath --run=$run --date=$date2  2>> $scriptlog > /dev/null
+      check2=$?
+      
+      case $check2 in 
+          0)   echo "check2=$check2 -> everything ok -> go on with datacheck..." >> $scriptlog 2>&1
+               ;;
+          *)   echo "check2=$check2 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1
+               continue 2;;
+      esac
+   done
+   
+   fillsinopepath=$logpath/fillsinope/$date
+   makedir $fillsinopepath >> $scriptlog 2>&1
+   fillsinopelogfile=$fillsinopepath/fillsinope-$no2.log
+
+   echo "doing filldotraw..." >> $scriptlog 2>&1
+   check3=`root -q -b $macrospath/fillsinope.C+\($run\,"\"$datapath\""\,kFALSE\) | tee $fillsinopelogfile | grep int | sed -e 's/.*(int)//'`
+
+   case $check3 in 
+       1)   echo "check3=$check3 -> everything ok -> set status..." >> $scriptlog 2>&1
+            ;;
+       *)   echo "check3=$check3 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1
+            continue;;
+   esac
+
+   echo "inserting the status for the datacheck for run $run into the db" >> $scriptlog 2>&1
+   setstatuslogpath=$logpath/setstatus/datacheck/$date
+   echo "setstatuslogpath: $setstatuslogpath" >> $scriptlog 2>&1
+   makedir $setstatuslogpath >> $scriptlog 2>&1
+   setstatuslog=$setstatuslogpath/setstatus-datacheck-$no2.log
+   echo "setstatuslogfile: $setstatuslog" >> $scriptlog 2>&1
+
+   check4=`root -q -b $macrospath/setstatus.C+\("\"$run\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\) | tee $setstatuslog | grep int | sed -e 's/(int)//'`
+   case $check4 in
+      1)   echo "check4=$check4 -> everything ok, status has been set" >> $scriptlog 2>&1
+           ;;
+      *)   echo "check4=$check4 -> ERROR -> step could not be set" >> $scriptlog 2>&1
+           continue;;
+   esac
+
+   echo "resetting the status for fExclusions done for date $date2" >> $scriptlog 2>&1
+   resetlogpath=$logpath/resetexclusions/$date
+   echo "resetlogpath: $resetlogpath" >> $scriptlog 2>&1
+   makedir $resetlogpath >> $scriptlog 2>&1
+   resetlog=$resetlogpath/reset-exclusions-$no2-$date2.log
+   echo "setstatuslogfile: $setstatuslog" >> $scriptlog 2>&1
+
+   check5=`root -q -b $macrospath/resetcolumn.C+\("\"fExclusionsDone\""\,"\"SequenceBuildStatus\""\,"\"$date2\""\,"\"$date2\""\,kFALSE\) | tee $setstatuslog | grep int | sed -e 's/(int)//'`
+   case $check5 in
+      1)   echo "check5=$check5 -> everything ok, fExclusions have been reset " >> $scriptlog 2>&1
+           ;;
+      *)   echo "check5=$check5 -> ERROR -> step could not be resetted -> repeat step " >> $scriptlog 2>&1
+           ;;
+   esac
+done
+
+rm -v $todofile >> $scriptlog 2>&1 
+rm -v $lockfile >> $scriptlog 2>&1 
+
+set +C
+
+date  >> $scriptlog 2>&1
+
Index: trunk/MagicSoft/Mars/datacenter/scripts/doexclusions
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/doexclusions	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/doexclusions	(revision 7265)
@@ -42,5 +42,5 @@
 todofile=$listpath/ToDo-$table-$column.txt
 getstatuslogpath=$logpath/getstatus/doexclusions/$year
-getstatuslog=$getstatuslogpath/getstatus-doexcludions-$datetime.log
+getstatuslog=$getstatuslogpath/getstatus-doexclusions-$datetime.log
 
 scriptlogpath=$logpath/run/doexclusions/`date +%Y/%m`
@@ -58,5 +58,5 @@
     0)   echo "checklock0=$checklock0 -> continue " >> $scriptlog 2>&1;;
     1)   echo "checklock0=$checklock0 -> file exists " >> $scriptlog 2>&1
-         echo "-> getting list for callisto is running -> exit" >> $scriptlog 2>&1
+         echo "-> getting list for doexclusions is running -> exit" >> $scriptlog 2>&1
          date  >> $scriptlog 2>&1
          exit;;
@@ -69,5 +69,5 @@
 
 case $check0 in 
-   1)   echo "check0=$check0 -> everthing ok -> do step" >> $scriptlog 2>&1;;
+   1)   echo "check0=$check0 -> everything ok -> do step" >> $scriptlog 2>&1;;
    *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
 esac
@@ -88,5 +88,5 @@
 for date in ${dates[@]}
 do 
-   echo "do exclusions for date "$date
+   echo "do exclusions for date "$date >> $scriptlog 2>&1
    year2=`echo $date | cut -c 1-4`
    doexclusionspath=$logpath/doexclusions/$year2
@@ -96,5 +96,5 @@
 
    case $check1 in
-      1)   echo "check1=1 -> everthing ok -> setting status..."
+      1)   echo "check1=$check1 -> everything ok -> setting status..." >> $scriptlog 2>&1
            setstatuslogpath=$logpath/setstatus/doexclusions/$year2
            makedir $setstatuslogpath >> $scriptlog 2>&1
@@ -103,9 +103,9 @@
 
      	   case $check2 in
-   	      1)   echo "check2=$check2 -> everthing ok, status has been set";;
-   	      *)   echo "check2=$check2 -> ERROR -> step could not be set";;
+   	      1)   echo "check2=$check2 -> everything ok, status has been set" >> $scriptlog 2>&1 ;;
+   	      *)   echo "check2=$check2 -> ERROR -> step could not be set" >> $scriptlog 2>&1 ;;
            esac
    	;;
-      *)   echo "check1=$check1 -> ERROR -> step has to be repeated";;
+      *)   echo "check1=$check1 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1 ;;
    esac
 done
Index: trunk/MagicSoft/Mars/datacenter/scripts/filesondisk
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/filesondisk	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/filesondisk	(revision 7265)
@@ -50,5 +50,5 @@
 
 case $check3 in 
-   1)   echo "check3=$check3 -> everthing ok -> reset is done";;
+   1)   echo "check3=$check3 -> everything ok -> reset is done";;
    *)   echo "check3=$check3 -> ERROR -> something went wrong while resetting";;
 esac
@@ -68,5 +68,5 @@
 
 case $check0 in 
-   1)   echo "check0=$check0 -> everthing ok -> reset is done";;
+   1)   echo "check0=$check0 -> everything ok -> reset is done";;
    *)   echo "check0=$check0 -> ERROR -> something went wrong while resetting";;
 esac
@@ -78,5 +78,5 @@
 
 case $check1 in 
-   1)   echo "check1=$check1 -> everthing ok -> missing cacofiles are found";;
+   1)   echo "check1=$check1 -> everything ok -> missing cacofiles are found";;
    *)   echo "check1=$check1 -> ERROR -> something went wrong while resetting";;
 esac
@@ -110,5 +110,5 @@
 
          case $check2 in
-            1)   echo "check2=$check2 -> everthing ok -> insert is done";;
+            1)   echo "check2=$check2 -> everything ok -> insert is done";;
             *)   echo "check2=$check2 -> ERROR -> something went wrong while inserting run "$missingcacorun;;
          esac
@@ -133,5 +133,5 @@
 
 case $check4 in 
-   1)   echo "check4=$check4 -> everthing ok -> reset is done";;
+   1)   echo "check4=$check4 -> everything ok -> reset is done";;
    *)   echo "check4=$check4 -> ERROR -> something went wrong while resetting";;
 esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/fillcallisto
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/fillcallisto	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/fillcallisto	(revision 7265)
@@ -68,5 +68,5 @@
 
 case $check0 in 
-    1)   echo "check0=$check0 -> everthing ok -> run fillcallisto" >> $scriptlog 2>&1;;
+    1)   echo "check0=$check0 -> everything ok -> run fillcallisto" >> $scriptlog 2>&1;;
     *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
 esac
@@ -103,5 +103,5 @@
 
    case $check1 in
-      1)   echo "check1=$check1 -> everthing ok -> run fillsignal " >> $scriptlog 2>&1;;
+      1)   echo "check1=$check1 -> everything ok -> run fillsignal " >> $scriptlog 2>&1;;
       *)   echo "check1=$check1 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1
            continue;;
@@ -110,5 +110,5 @@
    check2=`root -q -b $macrospath/fillsignal.C+\("\"$signalfile\""\,kFALSE\) | tee $fillsignallog | grep int | sed -e 's/(int)//'`
    case $check2 in
-      1)   echo "check2=$check2 -> everthing ok " >> $scriptlog 2>&1
+      1)   echo "check2=$check2 -> everything ok " >> $scriptlog 2>&1
            echo "-> inserting the status for fillcallisto for sequence $sequence into the db" >> $scriptlog 2>&1
            setstatuslogpath=$logpath/setstatus/fillcallisto/$no
@@ -118,5 +118,5 @@
            check4=`root -q -b $macrospath/setstatus.C+\("\"$sequence\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\) | tee $setstatuslog-$sequence.log | grep int | sed -e 's/(int)//'`
            case $check4 in
-   	     1)   echo "check4=$check4 -> everthing ok, status has been set" >> $scriptlog 2>&1;;
+   	     1)   echo "check4=$check4 -> everything ok, status has been set" >> $scriptlog 2>&1;;
    	     *)   echo "check4=$check4 -> ERROR -> step could not be set" >> $scriptlog 2>&1;;
            esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/fillstar
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/fillstar	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/fillstar	(revision 7265)
@@ -67,5 +67,5 @@
 
 case $check0 in 
-    1)   echo "check0=$check0 -> everthing ok -> run fillstar" >> $scriptlog 2>&1;;
+    1)   echo "check0=$check0 -> everything ok -> run fillstar" >> $scriptlog 2>&1;;
     *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
 esac
@@ -98,5 +98,5 @@
    check2=`root -q -b $macrospath/fillstar.C+\("\"$starfile\""\,kFALSE\) | tee $fillstarlog | grep int | sed -e 's/(int)//'`
    case $check2 in
-      1)   echo "check2=$check2 -> everthing ok " >> $scriptlog 2>&1
+      1)   echo "check2=$check2 -> everything ok " >> $scriptlog 2>&1
            echo "-> inserting the status for fillstar for sequence $sequence into the db" >> $scriptlog 2>&1
            setstatuslogpath=$logpath/setstatus/fillstar/$no
@@ -106,5 +106,5 @@
            check4=`root -q -b $macrospath/setstatus.C+\("\"$sequence\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\) | tee $setstatuslog | grep int | sed -e 's/(int)//'`
            case $check4 in
-   	     1)   echo "check4=$check4 -> everthing ok, status has been set" >> $scriptlog 2>&1;;
+   	     1)   echo "check4=$check4 -> everything ok, status has been set" >> $scriptlog 2>&1;;
    	     *)   echo "check4=$check4 -> ERROR -> step could not be set" >> $scriptlog 2>&1;;
            esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/insertdatasets
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/insertdatasets	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/insertdatasets	(revision 7265)
@@ -49,5 +49,5 @@
     0)   echo "checklock0=$checklock0 -> continue " >> $scriptlog 2>&1;;
     1)   echo "checklock0=$checklock0 -> file exists " >> $scriptlog 2>&1
-         echo "-> getting list for callisto is running -> exit" >> $scriptlog 2>&1
+         echo "-> getting list for insertdatasets is running -> exit" >> $scriptlog 2>&1
          date  >> $scriptlog 2>&1
          exit;;
@@ -94,5 +94,5 @@
    check0=`root -q -b $macrospath/insertdataset.C+\("\"$no2\""\,"\"$source\""\,"\"$wobble\"",kFALSE\) | tee $insertdatasetlog | grep int | sed -e 's/(int)//'`
    case $check0 in 
-      1)   echo "check0=$check0 -> everthing ok " >> $scriptlog 2>&1 ;;
+      1)   echo "check0=$check0 -> everything ok " >> $scriptlog 2>&1 ;;
       *)   echo "check0=$check0 -> ERROR " >> $scriptlog 2>&1 ;;
    esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/runcallisto
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/runcallisto	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/runcallisto	(revision 7265)
@@ -77,5 +77,5 @@
    
    case $check0 in 
-       1)   echo "check0=$check0 -> everthing ok -> run callisto" >> $scriptlog 2>&1;;
+       1)   echo "check0=$check0 -> everything ok -> run callisto" >> $scriptlog 2>&1;;
        *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
    esac
@@ -160,5 +160,5 @@
 
   case $check1 in
-     0)   echo "check1=$check1 -> everthing ok -> doing update..." >> $scriptlog 2>&1
+     0)   echo "check1=$check1 -> everything ok -> doing update..." >> $scriptlog 2>&1
           echo "finding files to be updated" >> $scriptlog 2>&1
           calfiles=`find $outpath -name *_Y_* `
@@ -211,5 +211,5 @@
              check2=$?
              case $check2 in
-                     0)   echo "check2=$check2 -> everthing ok, merppccupdate worked -> continue" >> $scriptlog 2>&1;;
+                     0)   echo "check2=$check2 -> everything ok, merppccupdate worked -> continue" >> $scriptlog 2>&1;;
          	     *)   echo "check2=$check2 -> ERROR -> merppccupdate failed" >> $scriptlog 2>&1
                           continue 2 ;;
@@ -218,5 +218,5 @@
              check3=$?
              case $check3 in
-                     0)   echo "check3=$check3 -> everthing ok, merppcacoupdate worked -> continue" >> $scriptlog 2>&1;;
+                     0)   echo "check3=$check3 -> everything ok, merppcacoupdate worked -> continue" >> $scriptlog 2>&1;;
          	     *)   echo "check3=$check3 -> ERROR -> merppcacoupdate failed" >> $scriptlog 2>&1
                           continue 2 ;;
@@ -231,5 +231,5 @@
           check4=`root -q -b $macrospath/setstatus.C+\("\"$sequence\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\) | tee $setstatuslog | grep int | sed -e 's/(int)//'`
           case $check4 in
-  	     1)   echo "check4=$check4 -> everthing ok, status has been set" >> $scriptlog 2>&1;;
+  	     1)   echo "check4=$check4 -> everything ok, status has been set" >> $scriptlog 2>&1;;
   	     *)   echo "check4=$check4 -> ERROR -> step could not be set" >> $scriptlog 2>&1;;
           esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/runganymed
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/runganymed	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/runganymed	(revision 7265)
@@ -75,5 +75,5 @@
    
    case $check0 in 
-       1)   echo "check0=$check0 -> everthing ok -> run ganymed" >> $scriptlog 2>&1;;
+       1)   echo "check0=$check0 -> everything ok -> run ganymed" >> $scriptlog 2>&1;;
        *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
    esac
@@ -153,5 +153,5 @@
 
   case $check1 in
-     0)   echo "check1=$check1 -> everthing ok " >> $scriptlog 2>&1
+     0)   echo "check1=$check1 -> everything ok " >> $scriptlog 2>&1
           echo "-> inserting the status for ganymed for dataset $dataset into the db" >> $scriptlog 2>&1
           setstatuslogpath=$logpath/setstatus/ganymed/$no
@@ -161,5 +161,5 @@
           check4=`root -q -b $macrospath/setstatus.C+\("\"$dataset\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\) | tee $setstatuslog | grep int | sed -e 's/(int)//'`
           case $check4 in
-  	     1)   echo "check4=$check4 -> everthing ok, status has been set" >> $scriptlog 2>&1;;
+  	     1)   echo "check4=$check4 -> everything ok, status has been set" >> $scriptlog 2>&1;;
        	     *)   echo "check4=$check4 -> ERROR -> step could not be set" >> $scriptlog 2>&1;;
           esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/runstar
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/runstar	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/runstar	(revision 7265)
@@ -74,5 +74,5 @@
    
    case $check0 in 
-       1)   echo "check0=$check0 -> everthing ok -> run star" >> $scriptlog 2>&1;;
+       1)   echo "check0=$check0 -> everything ok -> run star" >> $scriptlog 2>&1;;
        *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
    esac
@@ -145,5 +145,5 @@
 
   case $check1 in
-     0)   echo "check1=$check1 -> everthing ok " >> $scriptlog 2>&1
+     0)   echo "check1=$check1 -> everything ok " >> $scriptlog 2>&1
           echo "-> inserting the status for star for sequence $sequence into the db" >> $scriptlog 2>&1
           setstatuslogpath=$logpath/setstatus/star/$no
@@ -153,5 +153,5 @@
           check4=`root -q -b $macrospath/setstatus.C+\("\"$sequence\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\) | tee $setstatuslog | grep int | sed -e 's/(int)//'`
           case $check4 in
-  	     1)   echo "check4=$check4 -> everthing ok, status has been set" >> $scriptlog 2>&1;;
+  	     1)   echo "check4=$check4 -> everything ok, status has been set" >> $scriptlog 2>&1;;
   	     *)   echo "check4=$check4 -> ERROR -> step could not be set" >> $scriptlog 2>&1;;
           esac
Index: trunk/MagicSoft/Mars/datacenter/scripts/writesequencefiles
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/writesequencefiles	(revision 7264)
+++ trunk/MagicSoft/Mars/datacenter/scripts/writesequencefiles	(revision 7265)
@@ -67,5 +67,5 @@
 
 case $check0 in 
-    1)   echo "check0=$check0 -> everthing ok -> run writesequencefiles" >> $scriptlog 2>&1;;
+    1)   echo "check0=$check0 -> everything ok -> run writesequencefiles" >> $scriptlog 2>&1;;
     *)   echo "check0=$check0 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1;;
 esac
@@ -98,5 +98,5 @@
    check2=`root -q -b $macrospath/writesequencefile.C+\($sequence\,"\"$sequpath\""\) | tee $writesequencefilelogpath/writesequencefile-$no2.log | grep int | sed -e 's/(int)//'`
    case $check2 in
-      1)   echo "check2=$check2 -> everthing ok " >> $scriptlog 2>&1
+      1)   echo "check2=$check2 -> everything ok " >> $scriptlog 2>&1
            echo "-> inserting the status for writesequencefile for sequence $sequence into the db" >> $scriptlog 2>&1
            setstatuslogpath=$logpath/setstatus/writesequencefile/$no
@@ -106,5 +106,5 @@
            check4=`root -q -b $macrospath/setstatus.C+\("\"$sequence\""\,"\"$table\""\,"\"$column\""\,"\"Now()\""\) | tee $setstatuslog | grep int | sed -e 's/(int)//'`
            case $check4 in
-   	     1)   echo "check4=$check4 -> everthing ok, status has been set" >> $scriptlog 2>&1;;
+   	     1)   echo "check4=$check4 -> everything ok, status has been set" >> $scriptlog 2>&1;;
    	     *)   echo "check4=$check4 -> ERROR -> step could not be set" >> $scriptlog 2>&1;;
            esac
Index: trunk/MagicSoft/Mars/steps.rc
===================================================================
--- trunk/MagicSoft/Mars/steps.rc	(revision 7264)
+++ trunk/MagicSoft/Mars/steps.rc	(revision 7265)
@@ -54,5 +54,5 @@
 RunProcessStatus.fRawFileAvail.Default: no
 #RunProcessStatus.fRawFileAvail.Needs: - 
-#RunProcessStatus.fRawFileAvail.Influences: RunProcessStatus.fTimingCorrection RunProcessStatus.fMerpp RunProcessStatus.fMerppCCUpdate RunProcessStatus.fMerppCaCoUpdate
+#RunProcessStatus.fRawFileAvail.Influences: RunProcessStatus.fTimingCorrection RunProcessStatus.fDataCheckDone RunProcessStatus.fMerpp RunProcessStatus.fMerppCCUpdate RunProcessStatus.fMerppCaCoUpdate
 RunProcessStatus.fRawFileAvail.Reset: yes 
 
@@ -79,9 +79,9 @@
 
 
-#RunProcessStatus.fFillDotRaw.: 
-RunProcessStatus.fFillDotRaw.Default: no
-RunProcessStatus.fFillDotRaw.Needs: RunProcessStatus.fRawFileAvail
-#RunProcessStatus.fFillDotRaw.Influences: -
-RunProcessStatus.fFillDotRaw.Reset: yes 
+#RunProcessStatus.fDataCheckDone.: 
+RunProcessStatus.fDataCheckDone.Default: no
+RunProcessStatus.fDataCheckDone.Needs: RunProcessStatus.fRawFileAvail
+#RunProcessStatus.fDataCheckDone.Influences: -
+RunProcessStatus.fDataCheckDone.Reset: yes 
 
 
